Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008796TestLinkBuild Managementpublic2019-11-06 07:262019-11-09 15:49
Reporterheju 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionno change required 
PlatformOSOS Version
Product Version 
Fixed in Version 
Summary0008796: TL 1.9.20 build "Title" change not applied to all test plans
DescriptionDear TestLink Team,

I think some inconsistencies can be introduced into the DB by changing build "Title" in the following situation:

- create a build
- add test cases from more than one test plan
- execute all tests
(- check test result matrix drop down: now you can select the build Title for all test plans as expected)
- change the build "Title" from the gui
- check the test result drop down menu again: now for the first test plan it will allow to select the new Title, for all other test plans it will still show the old Title.

I checked the data base content:
- in "builds", there is one data set ("id") for each "testplan_id"
- only for the first one, the "name" col is updated if build title is changed, the "testplan_id"

I manually changed the "name" of all old leftover rows to match the new build "Title", now in the test result matrix drop down menu I can again select the new build "Title" for all test plans.



TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0029285)
fman (administrator)
2019-11-08 16:27

>> - create a build
>> - add test cases from more than one test plan
this is not clear.
You can not add test cases to a build.
You link test case versions to a test plan
You execute a test case version in a build

in addition your explanation can not be used to reproduce the case because you are not providing exact steps.

You need to provide a detailed but very detailed use case, because this is the only way I can be sure I'm testing the same thing you are testing.
Without this detailed information I can do nothing, because I've very limited time then can not do guessing
(0029286)
fman (administrator)
2019-11-08 16:30

More your report is confusing, are you changing the TITLE OF THE BUILD or giving the TITLE TITLE to a buld?
Would you mind to provide info in this way


I've created a BUILD with TITLE: 'Build XXX', then I've changed TITLE from 'Build XXX' to 'MOKA POKA' and then I see ....
(0029287)
heju (reporter)
2019-11-09 15:42

Dear fman,

thanks for your feedback. While repeating the steps I noticed this is not an TL issue, but a erroneous assumption from my side.

I was mislead as I thought a build is "global", but instead it belongs to a test plan and of course changing a builds name in one plan does not change the name of a build with the same name in another test plan.

Thanks for your hints and sorry for the inconvenience.

This report may be closed...

- Issue History
Date Modified Username Field Change
2019-11-06 07:26 heju New Issue
2019-11-08 16:27 fman Note Added: 0029285
2019-11-08 16:30 fman Note Added: 0029286
2019-11-08 16:30 fman Assigned To => fman
2019-11-08 16:30 fman Status new => feedback
2019-11-09 15:42 heju Note Added: 0029287
2019-11-09 15:42 heju Status feedback => assigned
2019-11-09 15:49 fman QA Team - Task Workflow Status => TBD
2019-11-09 15:49 fman Status assigned => closed
2019-11-09 15:49 fman Resolution open => no change required



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker